<script setup lang="ts">
import CardShort from '../components/CardShort.vue'
import ChartBox from '../components/ChartBox.vue'
import RecentTransaction from '../components/RecentTransaction.vue'
import TopSales from '../components/TopSales.vue'
</script>

<template>
  <v-container class="mx-auto text-center" fluid>
    <v-row>
      <v-col cols="4">
        <CardShort
          title="ยอดลูกค้ารายใหม่"
          subtitle="from yesterday"
          class_subtitle="text-green"
          :old-data="100"
          :new-data="122"
          icon="mdi-heart"
        />
      </v-col>
      <v-col cols="4">
        <CardShort
          icon="mdi-cart"
          title="ยอดขายรายวัน"
          subtitle="from yesterday"
          class_subtitle="text-green"
          :old-data="1100"
          :new-data="1222"
        >
        </CardShort>
      </v-col>
      <v-col cols="4">
        <CardShort
          icon="mdi-currency-usd"
          title="ยอดค่าใช้จ่ายรายเดือน"
          subtitle="from last month"
          :old-data="65000"
          class_subtitle="text-red"
          :new-data="67000"
        />
      </v-col>
      <v-col cols="6">
        <ChartBox />
      </v-col>
      <v-col cols="6">
        <TopSales />
      </v-col>
      <v-col>
        <RecentTransaction />
      </v-col>
    </v-row>
  </v-container>
</template>
